Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.mathutil.randomize
Class RangeRandomizer

    java.lang.Object
      org.encog.mathutil.randomize.BasicRandomizer
          org.encog.mathutil.randomize.RangeRandomizer

All Implemented Interfaces:
  Randomizer

    public class RangeRandomizer

extends BasicRandomizer

A randomizer that will create random weight and bias values that are between a specified range.

Author:
  jheaton

Constructor Summary
`RangeRandomizer(double min, double max)` Construct a range randomizer.

Method Summary
`double` | `getMax()`
`double` | `getMin()`
`static int` | `randomInt(int min, int max)` Returns a random number in the range between min and max.
`double` | `randomize(double d)` Generate a random number based on the range specified in the constructor.
`static double` | `randomize(double min, double max)` Generate a random number in the specified range.
`static double` | `randomize(Random r, double min, double max)`

Methods inherited from class org.encog.mathutil.randomize.BasicRandomizer
`getRandom, nextDouble, nextDouble, randomize, randomize, randomize, randomize, randomize, randomize, setRandom, setSeed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeRandomizer

    public RangeRandomizer(double min,
                           double max)

  Construct a range randomizer.

  Parameters:
    `min` - The minimum random value.
    `max` - The maximum random value.

Method Detail

### randomInt

    public static int randomInt(int min,
                                int max)

  Returns a random number in the range between min and max.

  Parameters:
    `min` - The minimum desired random number.
    `max` - The maximum desired random number.
  Returns:
    The random number.

### randomize

    public static double randomize(double min,
                                   double max)

  Generate a random number in the specified range.

  Parameters:
    `min` - The minimum value.
    `max` - The maximum value.
  Returns:
    A random number.

### randomize

    public static double randomize(Random r,
                                   double min,
                                   double max)

### randomize

    public double randomize(double d)

  Generate a random number based on the range specified in the constructor.

  Parameters:
    `d` - The range randomizer ignores this value.
  Returns:
    The random number.

### getMin

    public double getMin()

  Returns:
    the min

### getMax

    public double getMax()

  Returns:
    the max

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.